{%- block doctype -%}
<!DOCTYPE html>
{%- endblock %}
{%- set reldelim1 = reldelim1 is not defined and ' &raquo;' or reldelim1 %}
{%- set reldelim2 = reldelim2 is not defined and ' |' or reldelim2 %}
{%- set render_sidebar = (not embedded) and (not theme_nosidebar|tobool) and
                         (sidebars != []) %}
{%- set url_root = pathto('', 1) %}
{%- if url_root == '#' %}{% set url_root = '' %}{% endif %}

{%- macro relbar() %}
    <div class="related">
      <h3>{{ _('Navigation') }}</h3>
      <ul>
        {%- for rellink in rellinks %}
        <li class="right" {% if loop.first %}style="margin-right: 10px"{% endif %}>
          <a href="{{ pathto(rellink[0]) }}" title="{{ rellink[1]|striptags|e }}"
             {{ accesskey(rellink[2]) }}>{{ rellink[3] }}</a>
          {%- if not loop.first %}{{ reldelim2 }}{% endif %}</li>
        {%- endfor %}
        {%- block rootrellink %}
        <li><a href="{{ pathto(master_doc) }}">{{ shorttitle|e }}</a>{{ reldelim1 }}</li>
        {%- endblock %}
        {%- for parent in parents %}
          <li><a href="{{ parent.link|e }}" {% if loop.last %}{{ accesskey("U") }}{% endif %}>{{ parent.title }}</a>{{ reldelim1 }}</li>
        {%- endfor %}
        {%- block relbaritems %} {% endblock %}
      </ul>
    </div>
{%- endmacro %}

{%- macro sidebar() %}
      {%- if render_sidebar %}
      <div class="well sidebar-nav">
          <a class="brand" href="https://git.renater.fr/amu-3c-2018.git/">
          {%- block sidebarlogo %}
          {%- if logo %}
              <img src="{{ pathto('_static/img/' + logo, 1) }}" alt="Logo"/>
          {%- endif %}
          {%- endblock %}
          <br />
          <center>{{project}}</center></a>
          {%- if sidebars != None %}
            {#- new style sidebar: explicitly include/exclude templates #}
            {%- for sidebartemplate in sidebars %}
            {%- include sidebartemplate %}
            {%- endfor %}
          {%- else %}
            {#- old style sidebars: using blocks -- should be deprecated #}
            {%- block sidebartoc %}
            <h4>{{ _('Contents') }}</h4>
            <hr />
            {{ toctree() }}
            {%- endblock %}
            {%- block sidebarrel %}
            {%- include "relations.html" %}
            {%- endblock %}
            {%- block sidebarsourcelink %}
            {%- include "sourcelink.html" %}
            {%- endblock %}
            {%- if customsidebar %}
            {%- include customsidebar %}
            {%- endif %}
            {#%- block sidebarsearch %#}
            {#%- include "searchbox.html" %#}
            {#%- endblock %#}
          {%- endif %}
          <a rel="license"
            href="http://creativecommons.org/licenses/by-sa/3.0/"><img
            alt="Creative Commons License" style="border-width:0"
            src="http://i.creativecommons.org/l/by-sa/3.0/80x15.png" /></a><br
          /><span xmlns:dct="http://purl.org/dc/terms/"
            property="dct:title">Linfiniti Sphinx Theme</span> by <a
            xmlns:cc="http://creativecommons.org/ns#"
            href="http://linfiniti.com" property="cc:attributionName"
            rel="cc:attributionURL">Linfiniti Consulting CC.</a> is licensed
          under a <a rel="license"
            href="http://creativecommons.org/licenses/by-sa/3.0/">Creative
            Commons Attribution-ShareAlike 3.0 Unported License</a>.<br />Based
          on a work at <a xmlns:dct="http://purl.org/dc/terms/"
            href="https://github.com/timlinux/linfiniti-sphinx-theme"
            rel="dct:source">github.com</a>.
      </div>
      {%- endif %}
{%- endmacro %}

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset={{ encoding }}" />
    {{ metatags }}
    {%- if not embedded and docstitle %}
      {%- set titlesuffix = " &mdash; "|safe + docstitle|e %}
    {%- else %}
      {%- set titlesuffix = "" %}
    {%- endif %}
    {%- block htmltitle %}
    <title>{{ title|striptags|e }}{{ titlesuffix }}</title>
    {%- endblock %}
    <link rel="stylesheet" href="{{ pathto('_static/' + style, 1) }}" type="text/css" />
    <link rel="stylesheet" href="{{ pathto('_static/pygments.css', 1) }}" type="text/css" />
    <link rel="stylesheet" href="{{ pathto('_static/linfiniti.css', 1) }}" type="text/css" />
    {%- for cssfile in css_files %}
    <link rel="stylesheet" href="{{ pathto(cssfile, 1) }}" type="text/css" />
    {%- endfor %}
    {%- if not embedded %}
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '{{ url_root }}',
        VERSION:     '{{ release|e }}',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '{{ '' if no_search_suffix else file_suffix }}',
        HAS_SOURCE:  {{ has_source|lower }}
      };
    </script>
    {%- for scriptfile in script_files %}
    <script type="text/javascript" src="{{ pathto(scriptfile, 1) }}"></script>
    {%- endfor %}
    {%- if use_opensearch %}
    <link rel="search" type="application/opensearchdescription+xml"
          title="{% trans docstitle=docstitle|e %}Search within {{ docstitle }}{% endtrans %}"
          href="{{ pathto('_static/opensearch.xml', 1) }}"/>
    {%- endif %}
    {%- if favicon %}
    <link rel="shortcut icon" href="{{ pathto('_static/' + favicon, 1) }}"/>
    {%- endif %}
    {%- endif %}
{%- block linktags %}
    {%- if hasdoc('about') %}
    <link rel="author" title="{{ _('About these documents') }}" href="{{ pathto('about') }}" />
    {%- endif %}
    {%- if hasdoc('genindex') %}
    <link rel="index" title="{{ _('Index') }}" href="{{ pathto('genindex') }}" />
    {%- endif %}
    {%- if hasdoc('search') %}
    <link rel="search" title="{{ _('Search') }}" href="{{ pathto('search') }}" />
    {%- endif %}
    {%- if hasdoc('copyright') %}
    <link rel="copyright" title="{{ _('Copyright') }}" href="{{ pathto('copyright') }}" />
    {%- endif %}
    <link rel="top" title="{{ docstitle|e }}" href="{{ pathto('index') }}" />
    {%- if parents %}
    <link rel="up" title="{{ parents[-1].title|striptags|e }}" href="{{ parents[-1].link|e }}" />
    {%- endif %}
    {%- if next %}
    <link rel="next" title="{{ next.title|striptags|e }}" href="{{ next.link|e }}" />
    {%- endif %}
    {%- if prev %}
    <link rel="prev" title="{{ prev.title|striptags|e }}" href="{{ prev.link|e }}" />
    {%- endif %}
{%- endblock %}
{%- block extrahead %} {% endblock %}
  </head>
  <body>
    <div class="container">
      <div class="row">
        <div class="span3">
          {%- block sidebar2 %}{{ sidebar() }}{% endblock %}
        </div><!-- span9 -->
        <div class="span9">
          {%- block header %}{% endblock %}
          {%- block content %}
            {%- block document %}
              {% block body %} {% endblock %}
            {%- endblock %}
          {%- endblock %}
        </div><!-- span9 -->
      </div><!-- row -->
    </div> <!-- container -->
    {%- block footer %}
    <div class="alert alert-info">
      {%- if show_copyright %}
        {%- if hasdoc('copyright') %}
          {% trans path=pathto('copyright'), copyright=copyright|e %}&copy; <a href="{{ path }}">Copyright</a> {{ copyright }}.{% endtrans %}
        {%- else %}
          {% trans copyright=copyright|e %}&copy; Copyright {{ copyright }}.{% endtrans %}
        {%- endif %}
      {%- endif %}
      {%- if last_updated %}
        {% trans last_updated=last_updated|e %}Last updated on {{ last_updated }}.{% endtrans %}
      {%- endif %}
    </div>
    {%- endblock %}
  </body>
</html>
